
// -------------------------------------------------------------------
// Copyright (C) 2012 by Sascha Wilde <wilde@sha-bang.de>

// This program is free software under the GNU GPL (>=v2)
// Read the file COPYING coming with the software for details.
// -------------------------------------------------------------------

package de.sha_bang.OrderApp;

import java.util.ArrayList;
import java.util.HashMap;
import android.content.Intent;
import android.app.Activity;
import android.os.Build;
import android.os.Bundle;
import android.view.MenuItem;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.support.v4.app.NavUtils;

public class ShowTotalActivity extends Activity
{
    private SimpleAdapter totalOrder;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        // Get the current orderList from the intent
        Intent intent = getIntent();
        Bundle extraBundle = intent.getBundleExtra(OrderApp.EXTRA_ORDERLIST);
        ArrayList<HashMap<String, String>> orderList = 
            (ArrayList<HashMap<String, String>>) extraBundle.getSerializable("orderList");

        ListView list = (ListView) findViewById(R.id.ORDERS);

        totalOrder = 
            new SimpleAdapter(this, orderList, R.layout.order_row,
                              new String[] {"item", "total"},
                              new int[] {R.id.ITEM_CELL, R.id.COUNT_CELL});
        list.setAdapter(totalOrder);

    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
        case android.R.id.home:
            NavUtils.navigateUpFromSameTask(this);
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
